Bug 1905128 - [e2e][automation] e2e tests succeed without actually execute
Summary: [e2e][automation] e2e tests succeed without actually execute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Ido Rosenzwig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-07 15:33 UTC by Ido Rosenzwig
Modified: 2021-02-24 15:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:40:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7446 0 None closed Bug 1905128: Fix prow's e2e test script 2021-02-08 01:57:34 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:49 UTC

Comment 2 Yadan Pei 2021-01-11 03:46:58 UTC
Check one e2e test log https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift_console/7776/pull-ci-openshift-console-master-kubevirt-plugin/1347577420328210432/artifacts/kubevirt-plugin/test/container-logs/test.log, we can see kubevirt-gating suite is run

+ '[' 1 -gt 0 ']'
+ '[' -n kubevirt-gating ']'
+ yarn run test-protractor-suite --suite kubevirt-gating --params.openshift true
yarn run v1.22.10
$ yarn ts-node ./node_modules/.bin/protractor integration-tests/protractor.conf.ts --suite kubevirt-gating --params.openshift true
$ ts-node -O '{"module":"commonjs"}' ./node_modules/.bin/protractor integration-tests/protractor.conf.ts --suite kubevirt-gating --params.openshift true
Report destination:   gui_test_screenshots/protractor-report.html
[17:15:56] I/launcher - Running 1 instances of WebDriver
[17:15:56] I/direct - Using ChromeDriver directly...

>> Executing 17 defined specs...

Test Suites & Specs:

1) Auth test

   2) Login test
      ✔ logs in as kubeadmin user

3) Create a test namespace
   ✔ creates test namespace if necessary

4) Successful example test
   ✔ Navigate to virtualization page

5) Test VM actions

   6) Test VM list view kebab dropdown
      ✔ ID(CNV-4013) Starts VM
      ✔ ID(CNV-4014) Restarts VM
      ✔ ID(CNV-765) Unpauses VM
      ✔ ID(CNV-4015) Stops VM
      ✔ ID(CNV-4016) Deletes VM

   7) Test VM detail view actions dropdown
      ✔ ID(CNV-4017) Starts VM
      ✔ ID(CNV-4018) Restarts VM
      ✔ ID(CNV-1794) Unpauses VM
      ✔ ID(CNV-4019) Unpauses VM via modal dialog
      ✔ ID(CNV-4020) Stops VM
      ✔ ID(CNV-4021) Deletes VM

8) KubeVirt VM Snapshots
   ✔ ID(CNV-4717) create, restore and delete a snapshotLeaked {"name":"snapshotresourcevm-gxml9","namespace":"test-fcsiu","kind":"VirtualMachine"}


9) Test VMI actions

   10) Test VMI list view kebab dropdown
      ✔ ID(CNV-3693) Deletes VMI

   11) Test VMI detail view actions dropdown
      ✔ ID(CNV-3699) Deletes VMI

>> Done!


Summary:

Suites:  11 of 11
Specs:   17 of 17
Expects: 4 (0 failures)
Finished in 370.236 seconds

Moving to VERIFIED

Comment 3 Yadan Pei 2021-01-11 03:48:04 UTC
Let me know if my steps are wrong

Comment 6 errata-xmlrpc 2021-02-24 15:40:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.